#
# spec file for package yast2-config-lilo (Version 2.4.15)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libycp-devel libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc

Name:         yast2-config-lilo
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Requires:	yast2 yast2-trans-lilo yast2-lib-wizard yast2-lib-sequencer yast2-agent-liloconf
BuildArchitectures:	noarch
Summary:      YaST2 - component for bootloader configuration
Version:      2.4.15
Release:      1
Source0:	yast2-config-lilo-2.4.15.tar.bz2

%description
This package contains the YaST2 component for bootloader configuration.

Authors:
--------
    Dan Meszaros

SuSE series: yast

%prep
%setup -n yast2-config-lilo-2.4.15

%build
./configure
make

%install
make install
make check

%files
%dir /usr/lib/YaST2/clients
%dir /usr/lib/YaST2/menuentries
/usr/lib/YaST2/menuentries/menuentry_lilo.ycp
/usr/lib/YaST2/clients/lilo*.ycp
/usr/lib/YaST2/include/lilo/*.ycp
%dir /usr/share/doc/packages/yast2-config-lilo
/usr/share/doc/packages/yast2-config-lilo/*

%changelog -n yast2-config-lilo
* Tue Oct 09 2001 - dmeszar@suse.cz
- fixed bug #11726 (override 'boot_mode' from user_settings
  by 'lilo' on ppc, fixed target combobox for ppc)
* Thu Sep 20 2001 - dmeszar@suse.cz
- module icon changed to 'boot.png' ;)
* Tue Sep 18 2001 - dmeszar@suse.cz
- module icon changed to 'lilo.png' (#10656)
* Mon Sep 17 2001 - dmeszar@suse.cz
- bug #10661 fixed (lilo configuration written without change !!)
- bug #10667 fixed (No section is marked as default, if there is the
  keyword 'default' missing in the lilo.conf.)
* Thu Sep 13 2001 - kendy@suse.cz
- Write the lilo.conf first and then run lilo (not in the reverse
  order...)
- Some unused code removed, lilo_write.ycp is not distributed.
* Mon Sep 10 2001 - dmeszar@suse.cz
- use Arch:: instead of user_settings
* Tue Sep 04 2001 - dmeszar@suse.cz
- fix #10062
- fixed the qt-IntField update bug (after creation of
  dialog the intfield doesn't show its actual value
  but shows 0 under qt)
* Fri Aug 31 2001 - dmeszar@suse.cz
- use 'Add other section' radio button instead of 'add windows/os2 section'
  for sparcs
- removed debug logging
* Mon Aug 27 2001 - dmeszar@suse.cz
- removed 'uninstall silo', 'install to boot/root' for sparcs
- sparc: if kernel image's path is /'kernel', add '/boot' as prefix
  when checking the kernel existence and description
* Mon Aug 20 2001 - dmeszar@suse.cz
- fixed section label displaying in summary table ("section label" - > section label)
* Mon Aug 13 2001 - dmeszar@suse.cz
- fixed description for other sections in summary table
* Wed Aug 08 2001 - dmeszar@suse.cz
- correct handling od '\' '"' chars when reading ui input fields
- fixed 'other' section removing
- section quota set to 16
* Tue Jul 31 2001 - dmeszar@suse.cz
- uninstall ability implemnted
- section removing fixed
- don't show 'image' option in options list of image/other section
- help text for options stripped to minimal acceptable extent
- options dialog layout changes
- option editing dialog added
* Mon Jul 30 2001 - dmeszar@suse.cz
- save confirm dialog added
* Thu Jul 26 2001 - dmeszar@suse.cz
- proof-read texts, platform dependent code added
* Thu Mar 22 2001 - dmeszar@suse.cz
- initial version
